#!/bin/sh
########################################################################
#             (c) Copyright 2017 PRINK SRL		               #
#                        All rights reserved                           #
########################################################################
#                                                                      #
#  This script will display a confirmation dialog.                     #
#                                                                      #
#  Parameters: <title> <message> <yes> <no>                            #
########################################################################

# Dialog title
title=$1

# Confirmation question
text=$2

label_yes=$3
label_no=$4

# Check if zenity is available
zenity --help > /dev/null 2>&1
if [ $? -eq 0 ]; then
	#zenity --title="${title}" --question --text="${text}"
	zenity --title="${title}" --question --ok-label="${label_yes}" --cancel-label="${label_no}" --text="${text}"
else
	kdialog --yesno "${text}" > /dev/null 2>&1
fi

