VID_PID=2bb4:0002
USB_BUS=$(lsusb | grep $VID_PID | cut -d' ' -f2)
USB_DEVICE=$(lsusb | grep $VID_PID | cut -d' ' -f4)
if [ -n "$USB_BUS" -a -n "$USB_DEVICE" ]
then
	/usr/local/PRINK-PRBAB/unix_scan_drivers/bin/usbreset /dev/bus/usb/$USB_BUS/${USB_DEVICE::-1}
	exit 0
fi

UDEVADM=/sbin/udevadm
 if [ -f ${UDEVADM} ]; then
for ((n=0; n < 16; n++))
     do
     if [ -e /dev/usb/lp${n} ]; then
        lnk=`${UDEVADM} info -q path -n /dev/usb/lp${n}`
          if [ "$lnk" != "" ]; then
              intr=0`${UDEVADM} info -a -p ${lnk} | grep InterfaceNum | cut -d '"' -f2|sed -n "1 p"`
              bus=00`${UDEVADM} info -a -p ${lnk} | grep devnum | cut -d '"' -f2 | sed -n "1 p"`
	/usr/local/PRINK-PRBAB/unix_scan_drivers/bin/usbreset /dev/bus/usb/${intr}/${bus}
	fi
     fi
	done
fi
